
set( artdaq_demo_hdf5_VERSION 1.01.02 )
set( artdaq_demo_hdf5_UPS_VERSION v1_01_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( TRACE v3_03_00 )
find_ups_product( artdaq v0_04_02 )
find_ups_boost( v1_53_0 )
find_ups_product( art v1_08_10 )
find_ups_product( canvas_root_io  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( artdaq_core  )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( artdaq_utilities  )
find_ups_product( xmlrpc_c v1_25_18 )
find_ups_product( hdf5 v1_10_3 )
set(ARTDAQ-DEMO-HDF5_ARTMODULES_HDFFILEOUTPUT_MODULE "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_ArtModules_HDFFileOutput_module.so")
set(ARTDAQ-DEMO-HDF5_ARTMODULES_HDFFILEINPUT_SOURCE "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_ArtModules_HDFFileInput_source.so")
set(ARTDAQ-DEMO-HDF5_HDF5 "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5.so")
set(ARTDAQ-DEMO-HDF5_HDF5_HIGHFIVE_HIGHFIVENTUPLEDATASET_DATASET "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5_highFive_highFiveNtupleDataset_dataset.so")
set(ARTDAQ-DEMO-HDF5_HDF5_HIGHFIVE_HIGHFIVEGROUPEDDATASET_DATASET "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5_highFive_highFiveGroupedDataset_dataset.so")
set(ARTDAQ-DEMO-HDF5_HDF5_HIGHFIVE_HIGHFIVEGEOCMPLTPDSPSAMPLE_DATASET "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5_highFive_highFiveGeoCmpltPDSPSample_dataset.so")
set(ARTDAQ-DEMO-HDF5_HDF5_HIGHFIVE_HIGHFIVEGEOSPLITPDSPSAMPLE_DATASET "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5_highFive_highFiveGeoSplitPDSPSample_dataset.so")
set(ARTDAQ-DEMO-HDF5_HDF5_HIGHFIVE_HIGHFIVETIMEBASEDPDSPSAMPLE_DATASET "$ENV{ARTDAQ_DEMO_HDF5_LIB}/libartdaq-demo-hdf5_HDF5_highFive_highFiveTimeBasedPDSPSample_dataset.so")
  include_directories ( "$ENV{ARTDAQ_DEMO_HDF5_INC}" )

check_required_components(artdaq_demo_hdf5)

